# Get Onboarding Configuration Page

API for getting onboarding configuration pages for the merchant, this API creates [Onboarding Page Model](/sensepay/partner-api/models/onboarding-configuration-pages.md)

### API Interface

## Getting onboarding pages

<mark style="color:green;">`POST`</mark> `/api/partners/onboarding/pages/:merchant_uid`

This API creates new onboarding request based on the fields below.

#### Path Parameters

| Name                                            | Type   | Description                                                                                                                               |
| ----------------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------- |
| merchant\_uid<mark style="color:red;">\*</mark> | String | The merchant unique identifier (uid) which you can get after on boarding process is completed successfully by usin on boarding status API |

#### Headers

| Name                                            | Type   | Description                    |
| ----------------------------------------------- | ------ | ------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | Auth token from auth/token API |

#### Request Body

| Name                  | Type   | Description                                                             |
| --------------------- | ------ | ----------------------------------------------------------------------- |
| sessionTimeoutMinutes | number | The number of minutes the session will be valid for the merchant to use |

{% tabs %}
{% tab title="200: OK OK" %}
**See Onboarding entity schema:** # onboarding-entity

```javascript
{
    "uid": "52c8e55d-26dc-4935-9214-e3fccf6c8bcf",
    "url": "https://partner.sandbox.sensepass.com/partnersOnBoarding/52c8e55d-26dc-4935-9214-e3fccf6c8bcf",
    "status": "Pending"
}
```

{% endtab %}

{% tab title="400: Bad Request Invalid Input" %}

```javascript
{
    "statusCode": 400,
    "message": [
        "category should not be empty"
    ],
    "error": "Bad Request"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Internal Error" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### Examples

Basic request example to get onboarding pages:

```json
{
	"sessionTimeoutMinutes": 30
}
```

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sensepass.com/sensepay/partner-api/flows/get-onboarding-configuration-page.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
